* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

.calendar {
    background-color: #fff;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    width: 100%;
    max-width: 300px;
    margin-top: 10px;
    position: absolute;
    z-index: 1;
    display: none;
    border-radius: 10px;
}

.month {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 16px;
    background-color: #2A9595;
    color: white;
}

.weekdays, .days {
    display: flex;
    flex-wrap: wrap;
}

.weekdays div, .days div {
    width: calc(100% / 7);
    text-align: center;
    padding: 10px 0;
}

.weekdays {
    background-color: #2A9595;
    color: white;
    padding: 0px 10px;
    font-size: 14px;
}

.days div {
    cursor: pointer;
    padding: 15px 0;
    font-size: 14px;
    transition: background-color 0.3s;
}

.days div:hover {
    background-color: #ddd;
}

.days .today {
    background-color: #8DC9CC;
    color: white;
    border-radius: 50%;
}

.days .disabled {
    color: #ccc;
    cursor: not-allowed;
}

.prev, .next {
    background: none;
    border: none;
    color: white;
    font-size: 18px;
    cursor: pointer;
}




#timeInput {
    margin-bottom: 20px;
}

.dropdown {
    position: relative;
    display: none;
}

.dropdown-content {
    display: flex;
    flex-flow: row wrap;
    gap: 8px;
    z-index: 1;
}

.time-option {
    min-width: 144px;
    padding: 8px 16px;
    background-color: transparent;
    outline: 0px transparent;
    border: 0px transparent;
    padding: 8px 24px;
    border-radius: 3px;
    cursor: pointer;
    border: 1px solid var(--btn-const);
    color: var(--btn-const);
    transition: all 400ms ease-out;
    letter-spacing: 0.6px;
    font-size: 14px;
    position: relative;
}

.time-option:hover {
    background-color: var(--btn-const);
    color: #fff;
}

.time-option.bokd {
    cursor: not-allowed;
    background-color: #4A6061;
    border: 1px solid #4A6061;
    color: #c4c4c4;
    transition: all 0ms;
    position: relative;
}
.time-option::before {
    content: "";
    width: 7px;
    height: 7px;
    background-color: #0f0;
    position: absolute;
    top: 5px;
    right: 6px;
    border-radius: 50%;
    border: 1px solid #ffffff83;
}
.time-option.bokd::before {
    background-color: #f00;
}
@media (max-width: 950px) {
    .time-option {
        width: 100%;
    }
}